/*CSS Reset*/

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Prevent font size inflation */
html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}

/* Remove default margin in favour of better control in authored CSS */
body, h1, h2, h3, h4, p,
figure, blockquote, dl, dd {
  margin-block-end: 0;
  margin-block-start: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  line-height: 1.5;
}

/* Set shorter line heights on headings and interactive elements */
h1, h2, h3, h4,
button, input, label {
  line-height: 1.1;
}

/* Balance text wrapping on headings */
h1, h2,
h3, h4 {
  text-wrap: balance;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
  color: currentColor;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input, button,
textarea, select {
  font-family: inherit;
  font-size: inherit;
}

/* Make sure textareas without a rows attribute are not tiny */
textarea:not([rows]) {
  min-height: 10em;
}

/* Anything that has been anchored to should have extra scroll margin */
:target {
  scroll-margin-block: 5ex;
}

body{
  margin:0;
}

/*Setup Fonts */
@font-face {
  font-family: firaSansReg;
  src: url(./fira-sans/FiraSans-Regular.otf);
}
@font-face {
  font-family: firaSansBold;
  src: url(./fira-sans/FiraSans-Bold.otf);
}

/*STYLES START HERE */

.hidden-from-view {
  opacity: 0;
  position: absolute;
  display: block;
  margin: 0;
}

h2{
  font-family: firaSansBold;
  font-size: 1.5rem;
  margin-bottom: 1rem;
}
p, label, .indicates-required{
  font-family: firaSansReg;
}
p{
  margin-bottom: 1rem;
}
p:last-child{
  margin-bottom: 0;
}
input {
    border-radius: 0;
    border-width: 1px;
}

#text-parralax{
  position: absolute;
  max-width: 400px;
}
.mono-block{
  display: block;
  position: relative;
  width: 100%;
    overflow: hidden;
}
.mna_key-art{
  background-image: url(../img/MNA_Textless.jpg);
  background-repeat: no-repeat;
  background-position: top;
  background-size: cover;
  background-size: contain;
    height: calc(100vw * 9 / 16);
        transform: scale(1.1);
}
.mono-intro-block{
  background-color: aliceblue;
  padding:3rem;
}
.mna-screenshots{
  background-color: rgb(64, 11, 64);
  color: #fff;
  padding:3rem;
}
.mna-screenshots img{
  position: absolute;
  height: auto;
  transition: left .5s ease;
  left: 48px;
}
.mna-screenshots button{
  position: absolute;
  bottom: 30;
  background: none;
  border: none;
}
.mna-screenshots button svg{
  width: 40px;
  height: 40px;
}
.mna-screenshots button:hover .cls-1 {
    stroke: rgb(255, 87, 115) !important;
}
.prevButt{
  left:40;
  transform: rotateY(180deg);
}
.nextButt{
  right:40;
}
.video-block.mono-block,
.video-block iframe{
  width: 100%;
}

.video-block.mono-block{
  padding:2rem 0 2rem;
  background-color: rgb(255, 87, 115);
  color:white;
}
.video-block.mono-block h2{
  padding-left: 3rem;
  margin-bottom: 2rem;
}

/*Mailchimp Styles*/

#mc_embed_shell{
      max-width: 500px;
    margin: auto;
}
.mc-field-group label,
.mc-field-group input{
  display: block;
  width: 100%;
}

.mc-field-group input{
  height: 35px;
    font-family: 'firaSansReg';
    padding: 5px;
    margin-bottom: .5rem;
}

.indicates-required{
  float: right;
    font-size: .7rem;
}

.optionalParent{
  display: flex;
    flex-direction: column;
    gap: 1rem;
}

.optionalParent p a {
      width: 100%;
    display: block;
}

.optionalParent p a span {
      margin: auto;
    display: block;
    width: 100%;
}

.optionalParent .refferal_badge{
  margin: auto;
}

.optionalParent input {
    float: right;
    font-family: 'firaSansBold';
    background-color: purple;
    color: #fff;
    border: none;
    padding: .5rem 1rem;
}

@media (min-width: 1000px) {
  h2{
    font-size: 2rem;
  }
  .mono-intro-block {
      padding:5rem 8rem;
}
#text-parralax{
  max-width: 650px;
}
}